$card-btn-background: $color-white;
$card-btn-font-family: $font-sans-serif;
$card-btn-before-icon-size: 18px;
$card-btn-avatar-size: 40px;
$card-btn-margin: 1rem;

.card-btn {
  background: $color-white;
  font-family: $card-btn-font-family;
  margin: .5rem 0;
  position: relative;
  border-radius: 0.3125rem;
  &--intercambio-swap-deactivated,
  &--intercambio-deactivated,
  &--ofrece-deactivated,
  &--busca-deactivated {
    opacity: 0.5;
  }
}

.card-btn--nosample {
  border-color: $dark;
  border-style: dashed;
}

.card-btn--ofrece:after,
.card-btn--busca:after,
.card-btn--intercambio:after,
.card-btn--intercambio:before,
.card-btn--intercambio-swap:after,
.card-btn--intercambio-swap:before {
  content: '';
  display: inline-block;
  height: $card-button-border-height;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
}

.card-btn--ofrece:after {
  background: $color-green;
  border-radius: 0.3125rem;
}

.card-btn--busca:after {
  background: $color-red;
  border-radius: 0.3125rem;
}

.card-btn--intercambio:after,
.card-btn--intercambio:before {
  border-radius: 0.3125rem;
  width: 50%;
}

.card-btn--intercambio-swap:after,
.card-btn--intercambio-swap:before {
  border-radius: 0.3125rem;
  width: 50%;
}

.card-btn--intercambio:after {
  background: $color-green;
}

.card-btn--intercambio:before {
  background: $color-red;
  left: auto;
  right: 0;
}

.card-btn--intercambio-swap:after {
  background: $color-red;
}

.card-btn--intercambio-swap:before {
  background: $color-green;
  left: auto;
  right: 0;
}

.card-btn__thumb {
  min-height: 3.5rem;
  position: static;
}

.card-btn__image-text {
  align-items: center;
  position: absolute;
  bottom: 8.5rem;
  left: 0rem;
}

.card-btn__picture {
  display: block;
  height: 200px;
  position: relative;
  overflow: hidden;
  width: 100%;
  border-radius: 0 0.3125rem 0.3125rem 0;
  img {
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
    right: 0;
    height: 100%;
    width: 100%;
  }
}

.card-btn__author {
  align-items: center;
  // display: flex;
  max-width: calc(100vw - 32px);
  flex-flow: row nowrap;
  position: relative;
  padding: 1.5rem 1rem 0.5rem $card-btn-margin;
}
.card-btn__avatar {
  background: $color-white;
  border: 2px solid $color-white;
  height: $card-btn-avatar-size;
  position: absolute;
  width: $card-btn-avatar-size;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  overflow: hidden;
  & .card-avatar {
      width: auto;
      height: 100%;
    }
  & .default-avatar {
    background: $color-white;
    border-radius: 100%;
    border: 2px solid $color-white;
    height: $card-btn-avatar-size;
    position: absolute;
    left: 0;
    top: -.35rem;
    width: $card-btn-avatar-size;
    justify-content: center;
  }
}

.card-btn__author-wrap {
  background: $color-white;
  border-radius: 32px;
  font-size: .85rem;
  padding: .25rem 1rem .25rem 2.75rem;
}

.card-btn__author-name {
  color: $color-black;
  display: inline-flex;
  font-weight: bold;
  margin-right: .5rem;
  width: 100%;
  & > span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

.card-btn__state {
  text-transform: uppercase;
}

.card-btn__state--green {
  color: $color-green;
}

.card-btn__state--red {
  color: $color-red;
}

.card-btn__content {
  padding: $card-btn-margin $card-btn-margin 0 $card-btn-margin;
  max-width: calc(100vw - 32px);
}
.card-btn__intro {
  padding: $card-btn-margin $card-btn-margin 0 $card-btn-margin;
  max-width: calc(100vw - 32px);
}
.card-btn__head {
  align-items: center;
  display: flex;
  flex-flow: row nowrap;
  padding-bottom: rem(10px);
  display: block;
}

.card-btn__notif-circle {
  border-radius: 50%;
  position:  absolute;
  margin-top: 0;
  top:calc(0% + 32px);
  right: calc(5% - 0px);
  display: block;
  z-index: 2;

  width: rem(15px);
  height: rem(15px);
  border: 0;
  cursor: pointer;
  background: $color-blue;

  color: $color-white;
  font-weight: bold;
  font-size: .7rem;
  text-align:center;
  vertical-align: center;
  text-decoration: none;
  pointer-events:none;
}

@media screen and (min-width: 700px) {
  .card-btn__head {
    align-items: center;
    display: block;
    flex-flow: row nowrap;
    padding-bottom: rem(10px);
  }
}


.card-btn__when,
.card-btn__where {
  color: $color-black;
  font-size: .85rem;
  overflow-wrap: break-word;
  font-weight: bold;
  font-size: .85rem;
  padding: .25rem 1rem .25rem 1rem;
  display: inline-block;
}

.card-btn__when:before,
.card-btn__where:before {
  display: inline-block;
  content: '';
  height: $card-btn-before-icon-size;
  margin-right: .5rem;
  transform: translateY(.2rem);
  width: $card-btn-before-icon-size;
}

.card-btn__when:before {
  background: transparent url("svg/icons/time_black.svg") left center no-repeat;;
  background-size: 100% auto;
}

.card-btn__where:before {
  background: transparent url("svg/icons/icon-map.svg") left center no-repeat;;
  background-size: 100% auto;
}

.card-btn__description {
  color: $color-gray;
  font-size: .85rem;
  line-height: 1.5rem;
  padding: $card-btn-margin 0;
  background: #fff;
  border-radius: 32px;
  font-size: .85rem;
  padding: .25rem 1rem .25rem 1rem;
}

.card-btn__tags {
  overflow-x: auto;
  overflow-y: hidden;
  max-width: 100%;
  padding: 0 0 .5rem 0;
  white-space: nowrap;
  width: 100%;
  max-height: rem(50px);
  margin-bottom: .5rem;
}

.card-btn__nets {
  overflow-x: auto;
  overflow-y: hidden;
  max-width: 100%;
  padding: 0 0 .5rem 0;
  white-space: nowrap;
  width: 100%;
  max-height: rem(50px);
  margin-bottom: .5rem;
}

.card-btn__link-tag {
  background: $color-gray;
  border-radius: 16px;
  color: $color-white;
  display: inline-block;
  font-size: .85rem;
  font-weight: bold;
  margin-right: .5rem;
  padding: .3rem .7rem;
}

.card-btn__net-icon {
  position: relative;
  display: inline-block;
  z-index: 2;
  left: 0rem;
  margin-right: 0.2rem;
  // top: px;
  // bottom: .5rem;
  width: 15px;
  height: auto;
}

.card-btn__link-net {
  color: $color-white;
  background: $dark !important;
  // &:hover {
    // color: $color-white;
    // background: $dark !important;
  // }
}


.card-btn__tags--green {
  .card-btn__link-tag {
    background: $color-green;
  }
}

.card-btn__tags--red {
  .card-btn__link-tag {
    background: $color-red;
  }
}

  .card-btn__tags--yellow {
    .card-btn__link-tag {
      color: $color-black;
      background: $color-corporative;
    }
}
